Attaches an anonymous attempt to a learner in the caller's pod.
POST
/api/v1/attempts/{id}/claims
const url = 'https://app.jadwigo.pl/api/v1/attempts/example/claims';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"learner_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.jadwigo.pl/api/v1/attempts/example/claims \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "learner_id": "example" }'A replay by the same account for the same learner returns the stored claim; any other claim of a claimed attempt is 409 AttemptClaimed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
learner_id
required
string
Example generated
{ "learner_id": "example"}Responses
Section titled “Responses”Created.
Media typeapplication/json
object
attempt_id
required
string
learner_id
required
string
claimed_by
required
string
claimed_at
required
string format: date-time
Example generated
{ "attempt_id": "example", "learner_id": "example", "claimed_by": "example", "claimed_at": "2026-04-15T12:00:00Z"}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}An error: {error: {type, message}}. The type names the cause, and answers with one status:
- 400:
BadRequest,ServerFieldSupplied - 401:
NotSignedIn,Unauthorized - 404:
NotFound - 409:
AccountMissing,AttemptClaimed,AttemptPreview,AssignmentClosed,AttemptFinished,AttemptNotFinished,AttemptPaused,QuestionNotOpen,TryOutOfOrder,AnswerConflict,EventIdMismatch,WriteOnce - 429:
AnswerLimit - 502:
BankUnavailable
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
Example
{ "error": { "type": "BadRequest" }}